%define krelease 2.6.16.13-1tr

Name: iptables
Summary: Tools for managing Linux kernel packet filtering capabilities.
Version: 1.3.5
Release: 3tr
Source: http://www.netfilter.org/files/%{name}-%{version}.tar.bz2
Source1: iptables.init
Source2: iptables6.init
Source3: iptables.sysconfig-ipv4
Source4: iptables.sysconfig-ipv6
Source5: iptables.sysconfig-modules-ipv4
Source6: iptables.sysconfig-modules-ipv6
Source7: iptables.sysconfig-sample-ipv4
Source8: iptables.sysconfig-sample-ipv6
Source9: iptables.Trustix.README
Source10: ip6tables.Trustix.README
Patch1: iptables-1.3.0-autoload.patch
Patch2: iptables-1.3.0-selinux.patch
Patch3: iptables-1.2.10-counters.patch
Patch4: iptables-1.2.8-nolibnsl.patch
Patch5: iptables-1.2.11-cleanup.patch
Patch6: iptables-1.2.9-netlink.patch
Patch8: iptables-layer7-2.1.patch
Patch9: iptables-1.3.5-restore.patch
Group: Trustix Official
URL: http://www.netfilter.org/
License: GPL
Conflicts: kernel <= 2.4.18
BuildRoot: /var/tmp/%{name}-root
BuildRequires: linux-headers, /sbin/mkkerneldoth
PreReq: chkconfig

%description
The iptables utility controls the network packet filtering code in the
Linux kernel. If you need to set up firewalls and/or IP masquerading,
you must install this package.

%package ipv6
Summary: IPv6 support for iptables.
Group: Trustix Official
Requires: %{name} = %{version}
PreReq: chkconfig

%description ipv6
The iptables package contains IPv6 (the next version of the IP
protocol) support for iptables. Iptables controls the Linux kernel
network packet filtering code, allowing you to set up firewalls and IP
masquerading. 

Install iptables-ipv6 if you need to set up firewalling for your
network and you are using ipv6.

%package devel
Summary: Iptables development libraries and header files
Group: Trustix Official

%description devel
This package contains the development libraries and header files needed
to develop on top of the iptables interface.

%prep
%setup -q
%patch2 -p1
%patch4 -p1
%patch8 -p1
%patch9 -p1
chmod +x extensions/.layer7-test

%build
OPT="$RPM_OPT_FLAGS"
perl -pi -e 's/_EXP//' Makefile
# extensions don't load with stack_protector
export CC="gcc %{?no_stack_protector}"
make COPT_FLAGS="$OPT" KERNEL_DIR=/lib/modules/%{krelease}/build/ \
		 LIBDIR=%{_lib} DO_IPV6=1 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install install-devel \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=/sbin LIBDIR=/%{_lib} \
	MANDIR=%{_mandir} \
	INCDIR=/usr/include DO_IPV6=1
	
# The sources
mkdir -p $RPM_BUILD_ROOT/%{_initdir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initdir}/iptables
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_initdir}/iptables6
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv{4,6}.d
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv4
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv6
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/iptables-modules-ipv4
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/iptables-modules-ipv6
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv4.d/start
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv6.d/start
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv4.d/README
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/sysconfig/iptables-ipv6.d/README

install -m 755 extensions/libip6t_{REJECT,random}.so $RPM_BUILD_ROOT%{_lib}/iptables/
install -m 755 extensions/libipt_{dccp,layer7,random,recent,string}.so \
			$RPM_BUILD_ROOT%{_lib}/iptables/
install -m 644 extensions/lib*.man $RPM_BUILD_ROOT%{_mandir}/man8/


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/chkconfig --add iptables
# We need to preserve this one
if [ -f /etc/sysconfig/iptables ]; then
  cp -f /etc/sysconfig/iptables /etc/sysconfig/iptables-ipv4.d/start
fi

%preun
if [ "$1" = 0 ]; then
  /sbin/service iptables stop 2>/dev/null >/dev/null || :
  /sbin/chkconfig --del iptables
fi
                                                                                                                             
%post ipv6
/sbin/chkconfig --add iptables6
                                                                                                                             
%preun ipv6
if [ "$1" = 0 ]; then
  /sbin/service iptables6 stop 2>/dev/null >/dev/null || :
  /sbin/chkconfig --del iptables6
fi

%files
%defattr(-,root,root,0755)
%config(noreplace) /etc/sysconfig/iptables-ipv4
%dir /etc/sysconfig/iptables-ipv4.d
%config(noreplace) /etc/sysconfig/iptables-ipv4.d/start
%config(noreplace) /etc/sysconfig/iptables-modules-ipv4
/etc/sysconfig/iptables-ipv4.d/README
%dir /%{_lib}/iptables
%{_mandir}/*/iptables*
%{_mandir}/man8/libipt*
/%{_initdir}/iptables
/%{_lib}/iptables/libipt*
/sbin/iptables*

%files ipv6
%defattr(-,root,root,0755)
%config(noreplace) /etc/sysconfig/iptables-ipv6
%dir /etc/sysconfig/iptables-ipv6.d
%config(noreplace) /etc/sysconfig/iptables-ipv6.d/start
%config(noreplace) /etc/sysconfig/iptables-modules-ipv6
/etc/sysconfig/iptables-ipv6.d/README
%{_mandir}/*/ip6tables*
%{_mandir}/man8/libip6t*
/%{_initdir}/iptables6
/%{_lib}/iptables/libip6t*
/sbin/ip6tables*

%files devel
%defattr(-,root,root,0755)
%{_mandir}/man3/*
/usr/include/*.h
/%{_lib}/*.a


%changelog
* Thu May 04 2006 Nived Gopalan <nived at trustix dot org> 1.3.5-3tr
- Added PreReq chkconfig.

* Fri Feb 17 2006 Nived Gopalan <nived at trustix dot org> 1.3.5-2tr
- Removed old patches, Bug #1622.
- Patch to fix segfault or loading of invalid counters in 
  ip[6]tables-restore (Olaf Rempel).

* Thu Feb 09 2006 Nived Gopalan <nived at trustix dot org> 1.3.5-1tr
- New Upstream.

* Fri Jan 27 2006 Nived Gopalan <nived at trustix dot org> 1.3.4-1tr
- New Upstream.
- Added patch for layer 7 filter.
- Included man pages for extensions.

* Wed Nov 16 2005 Bipin S <bipin at trustix dot org> 1.3.3-3tr
- Added %post and %preun script. Fixed Bug #1413.

* Wed Aug 24 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.3.3-2tr
- Added option to save the rules to file on stop, Fix Bug #1211

* Mon Aug 01 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.3.3-1tr
- New Upstream
- Accumulated Bug Fixes to the last version
- Adds support for upcoming (2.6.14) NFQUEUE target.

* Tue Jul 26 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.3.2-1tr
- New Upstream

* Wed Jul 20 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.3.1-6tr
- Built with gcc %{?no_stack_protector}, extensions don't load with stack_protector
  Fix Bug #1096.
- Use ip6tables instead of iptables for IPv6.
 
* Wed May 25 2005  Chr. Toldnes <christht at trustix dot org> 1.3.1-4tr
- Make initscripts actually use their config files.

* Mon May 23 2005 Ajith Thampi <ajith at comodo dot com> 1.3.1-3tr
- Changed init values from iptables.init and iptables6.init instead of
  handling through perl script, Bug #709		

* Wed Apr 20 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.3.1-2tr
- Changed init priority

* Tue Mar 22 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.3.1-1tr
- New Upstream

* Wed Mar 16 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 1.3.0-3tr
- Rebuilt

* Tue Mar 01 2005 Ajith Thampi <ajith at comodo dot com> 1.3.0-2tr
- Added autoload and netlink patches

* Mon Feb 21 2005 Raghu <raghu at comodo dot com> 1.3.0-1tr
- New Upstream

* Tue Nov  2 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.11-4tr
- Changed modules loaded.

* Wed Sep 15 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.11-2tr
- Added iptables-recent.patch

* Tue Sep 14 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.11-1tr
- New upstream.
- New /etc/sysconfig/iptables-ipv4.d
- New /etc/sysconfig/iptables-ipv6.d

* Fri Mar 19 2004 Chr. Toldnes <christht at trustix dot org> 1.2.9-4tr
- Retag and rebuild

* Mon Mar  8 2004 Gerald Dachs <gda at trustix dot org> 1.2.9-3gd
- extensions don't load with stack_protector

* Wed Feb 25 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.9-2tr
- Testing new init scripts from Olaf Rempel.

* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 1.2.9-1tr
- New upstream.

* Tue Nov 11 2003 Oddvar Bronstad <oddvarb at trustix dot org> 1.2.8-7tr
- Removed chkconfig again (moved to separate package)
- Changed initscripts to use modprobe instead of insmod for better 
  handling of intra-module dependencies in required modules
 
* Wed Jul 02 2003 Oddvar Bronstad <oddvarb at trustix dot com> 1.2.8.6-trob
- Added chkconfig on for firewall install

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-5tr
- Big rebuild

* Mon Jun 16 2003 Chr. Toldnes <christht at trustix dot com> 1.2.8-4ct
- Even better initscript...

* Fri Jun 13 2003 Roland Kruse <rolandk at trustix dot com> 1.2.8-3rk
- fixed devel package group typo. 

* Fri Jun 13 2003 Chr. Toldnes <christht at trustix dot com> 1.2.8-2ct
- fix typo and thinko in initscript

* Mon Jun  2 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-1em
- New upstream.
- Added devel package.
- Fixed %defattr.
- Removed man dirs from file list.
- Added startup scripts.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.7a-3em
- Rebuilt against glibc 2.3.2.

* Tue Mar  4 2003 Gerald Dachs <gda at trustix dot org> 1.2.7a-2gd
- recompiled against patched kernel 2.4.20-13gd

* Thu Aug 29 2002 Roland Kruse <rolandk at trustix dot com> 1.2.7a-1rk
- New upstream version.

* Mon Jun 24 2002 Roland Kruse <rolandk at trustix dot com> 1.2.6a-1rk
- Initial TSL package.
